# Core API

::: tensyl.core.constitutive
    options:
      show_source: false
      members:
        - ABDStiffnessCoefficients
        - HyperelasticModel
        - ConstitutiveModel
        - LinearModel
        - ABDStiffness
        - OrthotropicStiffnessCoefficients
        - ReducedOrthotropicProperties
        - shift_reference_surface
        - superpose_abd_stiffnesses

::: tensyl.core.conventions
    options:
      show_source: false
      members:
        - Frame2D
        - StrainConvention
        - DEFAULT_FRAME
        - DEFAULT_STRAIN_CONVENTION

::: tensyl.core.typing
    options:
      show_source: false
      members:
        - GeneralizedStrain
        - GeneralizedResultant
        - generalized_strain
        - generalized_resultant
